Summary:	Gnet, a network library
Summary(pl.UTF-8):	Biblioteka sieciowa
Name:		gnet
Version:	2.0.8
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnet/2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	93327d2fca333d7e54ba2cf54e071165
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-move_define.patch
Patch2:		%{name}-newautoconf.patch
URL:		http://gnetlibrary.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
#BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. It is intended to be small, fast, easy-to-use,
and easy to port. The interface is similar to the interface for Java's
network library. Features:
   - TCP 'client' sockets
   - TCP 'server' sockets
   - Non-blocking TCP sockets
   - UDP
   - IP Multicast
   - Internet address abstraction

%description -l pl.UTF-8
Gnet jest prostą biblioteką sieciową. Jest napisana w C, zorientowana
obiektowo i zbudowana na bazie glib. W zamierzeniu ma być mala,
szybka, łatwa w użyciu i łatwa do przeniesienia na inne systemy.
Interfejs jest podobny do biblioteki sieciowej Javy. Możliwości to:
   - gniazda 'klienckie' TCP
   - gniazda 'serwerowe' TCP
   - nie-blokujące gniazda TCP
   - UDP
   - IP Multicast

%package devel
Summary:	Header files for the Gnet library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki Gnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Requires:	gtk-doc-common

%description devel
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. This package allows you to develop applications
that use the Gnet library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki Gnet.

%package static
Summary:	Static Gnet library
Summary(pl.UTF-8):	Biblioteka statyczna Gnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Gnet library.

%description static -l pl.UTF-8
Biblioteka statyczna Gnet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# don't BR glib-devel
echo -e 'AC_DEFUN([AM_PATH_GLIB], [$3\n:])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/gnet-2.0
%{_includedir}/gnet-2.0
%{_aclocaldir}/gnet-2.0.m4
%{_pkgconfigdir}/gnet-2.0.pc
%{_gtkdocdir}/gnet

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Sat Apr 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnet.git;a=log;h=master

* Sat Apr 06 2013 Lukasz Glebicki <blekot@pld-linux.org> f248655
- patch against new autoconf
- rel 3

* Sat Apr 06 2013 Lukasz Glebicki <blekot@pld-linux.org> 13f1fbb
- patch against new autoconf
- rel 3

* Sat Apr 06 2013 Lukasz Glebicki <blekot@pld-linux.org> 47934e2
- rel up (STBR)

* Fri May 06 2011 Jacek Konieczny <jajcus@pld-linux.org> de46a23
- 'move_define' patch from Debian, fixing build when check-devel is installed

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> da4f5e6
- dropped pre-cvs changelog

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> c4f6d2d
- unify %attr() %ghost order

* Wed Sep 03 2008 arvenil <arvenil@pld-linux.org> 6592da6
- up to 2.0.8
- added ghost

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e9a43ad
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7ae2ace
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 911a4f9
- converted to UTF-8

* Sat Feb 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 1883ec0
- updated to 2.0.7

* Sat Aug 28 2004 grzegol <grzegol@pld-linux.org> 1f461d0
- outdated

* Sat Aug 28 2004 grzegol <grzegol@pld-linux.org> c245142
- updated to 2.0.5
- removed outdated am18 patch
- WORKAROUND: disable gtk-doc build

* Thu Feb 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 810d992
- strict internal deps

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 35f75e8
- added am18 patch, release 2

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> f2403ed
- gnet-2.0.m4 quotation fix

* Wed Dec 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 3544231
- workaround to allow build w/o glib-devel 1.2.x

* Thu Oct 30 2003 ankry <ankry@pld-linux.org> d82441b
- objekt -> obiekt

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 2195daa
- mass commit: cosmetics (removed trailing white spaces)

* Wed Aug 13 2003 Jakub Bogusz <qboosh@pld-linux.org> 5943e55
- added nolibs patch to remove unnecessary -lnsl -lresolv
- install gtk-doc docs in standard place

